# Command: ceil

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ceil - Return nearest integer larger than or equal to the argument.

Examples:

    2.87 ceil -> 3
      1.001 ceil -> 2

Description:

    Alternatives: Function ceil_d (undocumented)
      -> behaviour and synopsis are the same.

Parameters:

      The input argument must be of type integer or double.
      The output argument has the same type as the input argument.

Remarks:

      Note that for integer arguments, this function equals identity.

Author:

    Ruediger Kupper, docu edited by Sirko Straube

FirstVersion:

    13.3.2003

SeeAlso:

- floor

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/ps-lib.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative